// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto}
 */
public  final class PriceUpdateResponseDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)
    PriceUpdateResponseDtoOrBuilder {
  // Use PriceUpdateResponseDto.newBuilder() to construct.
  private PriceUpdateResponseDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private PriceUpdateResponseDto() {
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private PriceUpdateResponseDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder subBuilder = null;
            if (price_ != null) {
              subBuilder = price_.toBuilder();
            }
            price_ = input.readMessage(com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.parser(), extensionRegistry);
            if (subBuilder != null) {
              subBuilder.mergeFrom(price_);
              price_ = subBuilder.buildPartial();
            }

            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.Builder.class);
  }

  public static final int PRICE_FIELD_NUMBER = 1;
  private com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price_;
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  public boolean hasPrice() {
    return price_ != null;
  }
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.FxSpotPriceDto getPrice() {
    return price_ == null ? com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.getDefaultInstance() : price_;
  }
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder getPriceOrBuilder() {
    return getPrice();
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (price_ != null) {
      output.writeMessage(1, getPrice());
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (price_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getPrice());
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)
      com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      if (priceBuilder_ == null) {
        price_ = null;
      } else {
        price_ = null;
        priceBuilder_ = null;
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_PriceUpdateResponseDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto build() {
      com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto result = new com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto(this);
      if (priceBuilder_ == null) {
        result.price_ = price_;
      } else {
        result.price_ = priceBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto.getDefaultInstance()) return this;
      if (other.hasPrice()) {
        mergePrice(other.getPrice());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price_ = null;
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.demo.fx.dtos.FxSpotPriceDto, com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder> priceBuilder_;
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public boolean hasPrice() {
      return priceBuilder_ != null || price_ != null;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxSpotPriceDto getPrice() {
      if (priceBuilder_ == null) {
        return price_ == null ? com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.getDefaultInstance() : price_;
      } else {
        return priceBuilder_.getMessage();
      }
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public Builder setPrice(com.accelfin.server.demo.fx.dtos.FxSpotPriceDto value) {
      if (priceBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        price_ = value;
        onChanged();
      } else {
        priceBuilder_.setMessage(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public Builder setPrice(
        com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder builderForValue) {
      if (priceBuilder_ == null) {
        price_ = builderForValue.build();
        onChanged();
      } else {
        priceBuilder_.setMessage(builderForValue.build());
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public Builder mergePrice(com.accelfin.server.demo.fx.dtos.FxSpotPriceDto value) {
      if (priceBuilder_ == null) {
        if (price_ != null) {
          price_ =
            com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.newBuilder(price_).mergeFrom(value).buildPartial();
        } else {
          price_ = value;
        }
        onChanged();
      } else {
        priceBuilder_.mergeFrom(value);
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public Builder clearPrice() {
      if (priceBuilder_ == null) {
        price_ = null;
        onChanged();
      } else {
        price_ = null;
        priceBuilder_ = null;
      }

      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder getPriceBuilder() {
      
      onChanged();
      return getPriceFieldBuilder().getBuilder();
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder getPriceOrBuilder() {
      if (priceBuilder_ != null) {
        return priceBuilder_.getMessageOrBuilder();
      } else {
        return price_ == null ?
            com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.getDefaultInstance() : price_;
      }
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.FxSpotPriceDto price = 1;</code>
     */
    private com.google.protobuf.SingleFieldBuilder<
        com.accelfin.server.demo.fx.dtos.FxSpotPriceDto, com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder> 
        getPriceFieldBuilder() {
      if (priceBuilder_ == null) {
        priceBuilder_ = new com.google.protobuf.SingleFieldBuilder<
            com.accelfin.server.demo.fx.dtos.FxSpotPriceDto, com.accelfin.server.demo.fx.dtos.FxSpotPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxSpotPriceDtoOrBuilder>(
                getPrice(),
                getParentForChildren(),
                isClean());
        price_ = null;
      }
      return priceBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto)
  private static final com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto();
  }

  public static com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<PriceUpdateResponseDto>
      PARSER = new com.google.protobuf.AbstractParser<PriceUpdateResponseDto>() {
    public PriceUpdateResponseDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new PriceUpdateResponseDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<PriceUpdateResponseDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<PriceUpdateResponseDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.PriceUpdateResponseDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

